jQuery.commaToNumeric = function(x) 
{
    return (x.indexOf(",") >= 0) ? x.replace(/,/, "") : x;
}

jQuery.removeSpace = function(x) 
{
    return (x.indexOf("&nbsp;") >= 0) ? x.replace(/&nbsp;/g, "") : x;
}

jQuery.fn.dataTableExt.oSort['file-size-asc']  = function(a,b) 
{
    var x = parseInt($.removeSpace($.commaToNumeric(a.substring(0, a.length - 2))));
    var y = parseInt($.removeSpace($.commaToNumeric(b.substring(0, b.length - 2))));
    
    var x_unit = (a.substring(a.length - 2, a.length) == "MB" ? 
        1000 : (a.substring(a.length - 2, a.length) == "GB" ? 1000000 : 1));
    var y_unit = (b.substring(b.length - 2, b.length) == "MB" ? 
        1000 : (b.substring(b.length - 2, b.length) == "GB" ? 1000000 : 1));
    
    x = parseInt( x * x_unit );
    y = parseInt( y * y_unit );

    return ((x < y) ? -1 : ((x > y) ?  1 : 0));
};

jQuery.fn.dataTableExt.oSort['file-size-desc'] = function(a,b) 
{
    var x = parseInt($.removeSpace($.commaToNumeric(a.substring(0, a.length - 2))));
    var y = parseInt($.removeSpace($.commaToNumeric(b.substring(0, b.length - 2))));
    
    var x_unit = (a.substring(a.length - 2, a.length) == "MB" ? 
        1000 : (a.substring(a.length - 2, a.length) == "GB" ? 1000000 : 1));
    var y_unit = (b.substring(b.length - 2, b.length) == "MB" ? 
        1000 : (b.substring(b.length - 2, b.length) == "GB" ? 1000000 : 1));
    
    x = parseInt( x * x_unit);
    y = parseInt( y * y_unit);
    
    return ((x < y) ?  1 : ((x > y) ? -1 : 0));
};
